package fr.itsonus.bousoleplussbackend.domain.quiz.spi;

import fr.itsonus.bousoleplussbackend.domain.quiz.model.Quiz;
import fr.itsonus.bousoleplussbackend.domain.quiz.model.QuizResponse;
import fr.itsonus.bousoleplussbackend.payload.request.ResponseRequest;

import java.util.Set;

public interface ResponseCacheRepository {

    Iterable<QuizResponse> findAllByQuizId(Long quizId);

    void saveQuizzResponses(Long bundleId, Quiz quiz, Set<ResponseRequest> responses);
}
