package fr.itsonus.bousoleplussbackend.infrastructure.postgres;

import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresUserDto;
import org.springframework.data.repository.Repository;

import java.util.Optional;

public interface UserCachePostgresRepository extends Repository<PostgresUserDto, Long> {
    Optional<PostgresUserDto> findByEmail(String email);

    PostgresUserDto save(PostgresUserDto entity);

    Boolean existsByEmail(String email);

    Optional<PostgresUserDto> findById(Long id);
}
