package fr.itsonus.bousoleplussbackend.infrastructure.postgres.repositories;

import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresQuestionDto;
import org.springframework.data.repository.Repository;

import java.util.List;
import java.util.Optional;

public interface QuestionCachePostgresRepository extends Repository<PostgresQuestionDto, Long> {

    List<PostgresQuestionDto> findAllByAxeIdAndBundleId(final Long axeId, final Long userId);

    List<PostgresQuestionDto> findAllByBundleIsNull();

    List<PostgresQuestionDto> findAllByAxeIdAndBundleIsNull(final Long axeId);

    Optional<PostgresQuestionDto> findByIdAndBundleId(Long questionId, Long bundleId);

    PostgresQuestionDto save(PostgresQuestionDto entity);

    List<PostgresQuestionDto> findAllByAxeIdAndBundleIsNotNull(Long axeId);
}