package fr.itsonus.bousoleplussbackend.usecase;

import fr.itsonus.bousoleplussbackend.domain.quiz.model.Axe;
import fr.itsonus.bousoleplussbackend.domain.quiz.model.Question;
import fr.itsonus.bousoleplussbackend.domain.quiz.spi.AxeCacheRepository;
import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresQuestionDto;
import fr.itsonus.bousoleplussbackend.infrastructure.postgres.repositories.QuestionCacheProxyRepository;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@AllArgsConstructor
public class AxeUseCase {

    private final AxeCacheRepository axeRepository;

    public Iterable<Axe> findAll() {
        return axeRepository.findAll();
    }
}
