package fr.itsonus.bousoleplussbackend.security;

import io.jsonwebtoken.SignatureAlgorithm;

import javax.crypto.spec.SecretKeySpec;
import java.math.BigInteger;
import java.security.Key;
import java.security.SecureRandom;
import java.util.Base64;

public class SecurityConstants {
    public static final Key JWT_SECRET;

    static {
        var randomGenerator = new SecureRandom();
        byte[] randomBytes = new byte[128];
        randomGenerator.nextBytes(randomBytes);
        JWT_SECRET = new SecretKeySpec(
                Base64.getDecoder().decode(new BigInteger(1, randomBytes).toString(16)),
                SignatureAlgorithm.HS256.getJcaName());
    }
}
